diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrec_sa_setup_normal.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrec_sa_setup_normal.sh
new file mode 100755
index 0000000000000000000000000000000000000000..e79d7d4ff3a4c4e1a7b0e7d9d095fbc58b6a9635
--- /dev/null
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrec_sa_setup_normal.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# art-description: Test a standalone muon setup which is not dependent on any other pieces of the detector, without the --threads=1 option. 
+#
+# art-type: grid
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-input: user.zhidong.SingleMuon_5GeV_task12089629.nopileup.HITStoRDO.r9707.20170907.v01_EXT0
+# art-input-nfiles: 1
+
+
+art.py createpoolfile
+
+set -x
+
+athena -c "InputRdoFile='user.zhidong.12100112.EXT0._000001.RDO.pool.root'" MuonRecExample/MuonRec_myTopOptions.py
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrec_sa_setup_simple.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrec_sa_setup_simple.sh
new file mode 100755
index 0000000000000000000000000000000000000000..b81d48ab0185c767ba9addd0b0d88f8df794d7c9
--- /dev/null
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_muonrec_sa_setup_simple.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# art-description: Test a standalone muon setup which is not dependent on any other pieces of the detector, with the --threads=1 option. 
+#
+# art-type: grid
+# art-include: master/Athena
+# art-input: user.zhidong.SingleMuon_5GeV_task12089629.nopileup.HITStoRDO.r9707.20170907.v01_EXT0
+# art-input-nfiles: 1
+
+
+art.py createpoolfile
+
+set -x
+
+athena -c "InputRdoFile='user.zhidong.12100112.EXT0._000001.RDO.pool.root'" --threads=1 MuonRecExample/MuonRec_myTopOptions.py
diff --git a/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_nsw_singlemuon_recon.sh b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_nsw_singlemuon_recon.sh
new file mode 100755
index 0000000000000000000000000000000000000000..65ef53ad3ffa109ba6188ea429260aed538afd69
--- /dev/null
+++ b/MuonSpectrometer/MuonValidation/MuonRecValidation/MuonRecRTT/test/test_nsw_singlemuon_recon.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# art-description: Test the reconstruction of muon events of New Small Wheel.
+#
+# art-type: grid
+# 
+# art-include: 21.3/Athena
+
+set -x
+
+Reco_tf.py \
+        --preExec 'all:from MuonRecExample.MuonRecFlags import muonRecFlags,muonStandaloneFlags;muonRecFlags.doFastDigitization=False; muonRecFlags.useLooseErrorTuning.set_Value_and_Lock(True);muonRecFlags.doCSCs=False;muonRecFlags.doNSWNewThirdChain=True;muonRecFlags.dosTGCs=True;muonRecFlags.doMicromegas=True;muonStandaloneFlags.printSummary=True;muonRecFlags.doTrackPerformance=True;muonRecFlags.TrackPerfSummaryLevel=2;muonRecFlags.TrackPerfDebugLevel=5;rec.doTrigger=False;rec.doInDet=True;rec.doCalo=True;rec.doLArg=True;rec.doEgamma=False;rec.doTile=True;rec.doLucid=False;rec.doZdc=False;rec.doJetMissingETTag=False;from MuonCombinedRecExample.MuonCombinedRecFlags import muonCombinedRecFlags;muonCombinedRecFlags.doCaloTrkMuId=True;muonCombinedRecFlags.doMuGirlLowBeta=False;muonCombinedRecFlags.doMuGirl=True;muonCombinedRecFlags.doCombinedFit=True;muonCombinedRecFlags.doMuonSegmentTagger=True;svcMgr.MessageSvc.defaultLimit = 1000;svcMgr.MessageSvc.debugLimit = 1000;svcMgr.MessageSvc.verboseLimit = 1000' \
+        --ignorePatterns 'ToolSvc.MM_PrepDataProviderTool.+.ERROR.' \
+        --ignoreErrors FALSE  \
+        --outputESDFile nsw.ESD.pool.root \
+        --inputRDOFile  /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/MuonRecRTT/NSW/recon/*.root \
+        --autoConfiguration everything \
+        --maxEvents -1 --skipEvents 0
+
+echo "art-result: $?"